Bug 116836 - Anchored to Cells set to Resize also Move when Shrunk
Summary: Anchored to Cells set to Resize also Move when Shrunk
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
6.1.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Samuel Mehrbrodt (CIB)
URL:
Whiteboard: target:6.1.0
Keywords:
Depends on:
Blocks: Anchor-and-Text-Wrap
  Show dependency treegraph
 
Reported: 2018-04-05 21:40 UTC by Luke
Modified: 2018-10-07 01:07 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Simple anchored shape to show the problem (9.23 KB, application/vnd.oasis.opendocument.spreadsheet)
2018-04-05 21:40 UTC, Luke
Details
Rotated Shapes (9.54 KB, application/vnd.oasis.opendocument.spreadsheet)
2018-04-07 17:34 UTC, Luke
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Luke 2018-04-05 21:40:03 UTC
Created attachment 141152 [details]
Simple anchored shape to show the problem

Steps to reproduce.
1. In calc, in C3, insert a shape
2. Set Anchor "To Cell, Resize with Cell"
3. Shrink the cell by shrinking the column or row width

Expected behavior
1. Shape shrinks to new size

Actual behavior
1. Shape shrinks to new size and moves up or to the left
Comment 1 Commit Notification 2018-04-06 11:10:29 UTC
Samuel Mehrbrodt committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=89b671c4a4288f3058157da292b1275e5bfb8392

tdf#116836 Don't move objects out of cell when shrinking cell

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 2 Samuel Mehrbrodt (CIB) 2018-04-06 11:11:05 UTC
Thx for testing!
Comment 3 Luke 2018-04-07 17:34:45 UTC
Created attachment 141193 [details]
Rotated Shapes

Samuel Mehrbrodt,

Thank you for polishing up this new feature. 


The basic test case now works, but you're going to need to take into account the rotation angle into your formula. Do you want to track it here or file a new bug report?
Comment 4 Luke 2018-04-09 00:04:25 UTC
Verified FIXED in Version: 6.1.0.0.alpha0+ (x64)
Build ID: f76a22c7656f8741cf26c220fed1f8cd5a7d79c1

Thanks Samuel for polishing up this much sought after feature!
Comment 5 Samuel Mehrbrodt (CIB) 2018-04-09 04:31:58 UTC
(In reply to Luke from comment #3)
> The basic test case now works, but you're going to need to take into account
> the rotation angle into your formula. Do you want to track it here or file a
> new bug report?

Hi Luke, please file a new bug report with a minimal testcase, and add me to cc. That would help a lot.
Thanks!